
// PCIELM4_CmdBufferDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CPCIELM4_CmdBufferDlg dialog
class CPCIELM4_CmdBufferDlg : public CDialog
{
// Construction
public:
	CPCIELM4_CmdBufferDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_PCIELM4_CMDBUFFER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

public:
	BYTE m_bBoardNo;
	BOOL m_flgCardInitialized;

	CListBox c_listLog;
	CListBox c_listContCmd;
	CEdit c_BoardNo;

	CButton c_btnConnect;
	CButton c_btnDisconnect;
	CButton c_btnServoOnAxis0;
	CButton c_btnServoOnAxis1;
	CButton c_btnServoResetAlrmAxis0;
	CButton c_btnServoResetAlrmAxis1;
	CButton c_btnServoResetAxis0;
	CButton c_btnServoResetAxis1;
	CButton c_btnServoResetAll;
	CButton c_btnStartBuffer;
	CButton c_btnStopAll;

	void OnbtnResetCnt(UINT nID);
	void OnbtnSvon(UINT nID);
	void OnbtnRALM(UINT nID);
	int StopAxis(BYTE Axis);
	int ResetAxisCnt(BYTE Axis);
	int AxisDO(BYTE Axis, BYTE Ch);
	int IniSetting(void);
	void ButtonEnable(BOOL flgTrueFalse);

	afx_msg void OnBnClickedBtn_StartStepExec();
	afx_msg void OnBnClickedbtnresetcntall();
	afx_msg void OnBnClickedbtnstopall();
	afx_msg void OnBnClickedbtnclearlog();
	afx_msg void OnBnClickedbtnconnect();
	afx_msg void OnBnClickedbtndisconnect();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};
