
// PCIELM4_DdaCtrlDlg.h : header file
//

#pragma once


// CPCIELM4_DdaCtrlDlg dialog
class CPCIELM4_DdaCtrlDlg : public CDialog
{
// Construction
public:
	CPCIELM4_DdaCtrlDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_PCIELM4_DDACTRL_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()


public:
	BYTE m_bBoardNo;
	BOOL m_flgCardInitialized;

	CListBox c_listLog;
	CEdit c_BoardNo;
	CButton c_btnConnect;
	CButton c_btnDisconnect;
	CButton c_btnStartDdaOutput;
	CButton c_btnServoOnAxis0;
	CButton c_btnServoOnAxis1;
	CButton c_btnServoResetAlrmAxis0;
	CButton c_btnServoResetAlrmAxis1;
	CButton c_btnServoResetAxis0;
	CButton c_btnServoResetAxis1;
	CButton c_btnServoResetAll;

	void OnbtnResetCnt(UINT nID);
	void OnbtnSvon(UINT nID);
	void OnbtnRALM(UINT nID);
	
	int ResetAxisCnt(BYTE Axis);
	int AxisDO(BYTE Axis, BYTE Ch);
	int IniSetting(void);
	void ButtonEnable(BOOL flgTrueFalse);

	afx_msg void OnBnClickedbtnresetcntall();
	afx_msg void OnBnClickedbtnclearlog();
	afx_msg void OnBnClickedbtnconnect();
	afx_msg void OnBnClickedbtndisconnect();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnBnClickedBtn_StartDdaCtrl();
	afx_msg LRESULT OnDdaThreadFinished(WPARAM wParam, LPARAM lParam);

};
