
// PCIELM4_MultiAxisDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CPCIELM4_MultiAxisDlg dialog
class CPCIELM4_MultiAxisDlg : public CDialog
{
// Construction
public:
	CPCIELM4_MultiAxisDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_PCIELM4_MULTIAXIS_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

public:
	BYTE m_bBoardNo;
	BOOL m_flgCardInitialized;
	CListBox c_listLog;
	CEdit c_BoardNo;
	CButton c_radioRelativePosition;
	CButton c_radioAbsolutePosition;
	CButton c_radioVelocityMove;
	CButton c_radioTcurve;
	CButton c_radioScurve;
	CButton c_chkAxis0;
	CButton c_chkAxis1;
	CButton c_radioCircleCW;
	CButton c_radioCircleCCW;
	CComboBox m_cmboArcAxis0;
	CComboBox m_cmboArcAxis1;

	CButton c_btnConnect;
	CButton c_btnDisconnect;
	CButton c_btnServoOnAxis0;
	CButton c_btnServoOnAxis1;
	CButton c_btnServoResetAlrmAxis0;
	CButton c_btnServoResetAlrmAxis1;
	CButton c_btnServoResetAxis0;
	CButton c_btnServoResetAxis1;
	CButton c_btnServoResetAll;
	CButton c_btnLineMove;
	CButton c_btnArcMove;
	CButton c_btnStopAll;

	void OnbtnResetCnt(UINT nID);
	void OnbtnSvon(UINT nID);
	void OnbtnRALM(UINT nID);
	int StopAxis(BYTE Axis);
	int ResetAxisCnt(BYTE Axis);
	int AxisDO(BYTE Axis, BYTE Ch);
	int IniSetting(void);
	void ButtonEnable(BOOL flgTrueFalse);

	afx_msg void OnBnClickedbtn_MoveArc();
	afx_msg void OnBnClicked_BtnLineMove();
	afx_msg void OnBnClickedbtnresetcntall();
	afx_msg void OnBnClickedbtnstopall();
	afx_msg void OnBnClickedbtnclearlog();
	afx_msg void OnBnClickedbtnconnect();
	afx_msg void OnBnClickedbtndisconnect();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};
