
// PCIELM4_SingleAxisDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CPCIELM4_SingleAxisDlg dialog
class CPCIELM4_SingleAxisDlg : public CDialog
{
// Construction
public:
	CPCIELM4_SingleAxisDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_PCIELM4_SINGLEAXIS_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

public:
	BYTE m_bBoardNo;
	BOOL m_flgCardInitialized;

	CEdit c_BoardNo;
	CListBox c_listLog;
	CButton c_radioRelativePosition;
	CButton c_radioAbsolutePosition;
	CButton c_radioVelocityMove;
	CButton c_radioTcurve;
	CButton c_radioScurve;
	CButton c_btnConnect;
	CButton c_btnDisconnect;
	CButton c_btnServoOnAxis0;
	CButton c_btnServoOnAxis1;
	CButton c_btnServoResetAlrmAxis0;
	CButton c_btnServoResetAlrmAxis1;
	CButton c_btnServoResetAxis0;
	CButton c_btnServoResetAxis1;
	CButton c_btnServoResetAll;
	CButton c_btnMoveAxis0;
	CButton c_btnMoveAxis1;
	CButton c_btnStopAxis0;
	CButton c_btnStopAxis1;
	CButton c_btnStopAll;

	void OnbtnResetCnt(UINT nID);
	void OnbtnMove(UINT nID);
	void OnbtnStop(UINT nID);
	void OnbtnSvon(UINT nID);
	void OnbtnRALM(UINT nID);
	int StopAxis(BYTE Axis);
	int MoveAxis(BYTE Axis, int Speed, int Acc, int Dist, BYTE Type);
	int ResetAxisCnt(BYTE Axis);
	int AxisDO(BYTE Axis, BYTE Ch);
	void ButtonEnable(BOOL flgTrueFalse);
	int IniSetting(void);

	afx_msg void OnBnClickedbtnresetcntall();
	afx_msg void OnBnClickedbtnstopall();
	afx_msg void OnBnClickedbtnclearlog();
	afx_msg void OnBnClickedbtnconnect();
	afx_msg void OnBnClickedbtndisconnect();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};
